Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision fb7e6dcf4179c37c2e56078a7f55046494d3eda4)
+++ make/ChangeLog	(revision 3db37a7ca80e657342bee68b4af02a04b78d17f8)
@@ -1,2 +1,7 @@
+
+2000-09-13	Joel Sherrill <joel@OARcorp.com>
+
+	* custom/arm_bare_bsp.cfg, custom/armulator.cfg, custom/dmv177.cfg,
+	custom/mcp750.cfg, custom/vegaplus.cfg: Clean up.
 
 2000-09-13	Emmanuel Raguet <raguet@crf.canon.fr>
Index: make/custom/arm_bare_bsp.cfg
===================================================================
--- make/custom/arm_bare_bsp.cfg	(revision fb7e6dcf4179c37c2e56078a7f55046494d3eda4)
+++ make/custom/arm_bare_bsp.cfg	(revision 3db37a7ca80e657342bee68b4af02a04b78d17f8)
@@ -9,5 +9,4 @@
 RTEMS_CPU=arm
 RTEMS_CPU_MODEL=arm7tdmi
-#RTEMS_PPC_EXCEPTION_PROCESSING_MODEL=new
 
 # This is the actual bsp directory used during the build process.
@@ -21,7 +20,4 @@
 #  and (hopefully) optimize for it. 
 #
-# NOTE : checking egcs 1.1.1 source code shows that the last know processor 
-# is the 604 model and that this is the default generation option.
-#
 #CPU_CFLAGS = -mcpu=arm7tdmi
 CPU_CFLAGS =
@@ -31,11 +27,6 @@
 # NOTE2: some level of -O may be actually required by inline assembler (at least
 # -O2 so far.
-# NOTE2 Apparently nobody really knows the status or r2 and r13.
-# As far as I know, small data are pointer impose a very specific compliation
-# model => not used.
-# Currently the sdata2 and sbss2 sections are empty => r2 is not used...
 CFLAGS_OPTIMIZE_V=
 #CFLAGS_OPTIMIZE_V=-O4 -mmultiple -mstring -mstrict-align
-#CFLAGS_OPTIMIZE_V=-O4 -fno-keep-inline-functions -fvolatile-global -fvolatile -mstrict-align -mcpu=750
 
 # debug flags: typically none, but at least -O1 is required due to this
@@ -43,17 +34,4 @@
 CFLAGS_DEBUG_V = -O1
 #CFLAGS_DEBUG_V = -O1 -mmultiple -mstring -mstrict-align
-
-# The following is a ld command file which works without using the
-# -specs system in gcc 2.8.  IT HAS NEVER BEEN TESTED WITH THIS BSP!!!
-#       $(LD) $(XLDFLAGS) -T $(LINKCMDS) \
-#         -o $@ -u atexit -u __vectors -u download_entry $(LINK_FILES)
-#       $(LD) $(XLDFLAGS) -Ttext 0x20000 \
-#         -o $@ -u atexit -u __vectors -u download_entry $(LINK_FILES)
-
-#       $(CC) -mmvme -mrtems -nostartfiles -mcpu=603 \
-#           -o $(basename $@).exe -L $(PROJECT_RELEASE)/lib \
-#            $(START_FILE) $(LINK_OBJS) \
-#            $(LD_LIBS) \
-#           -Wl,-\( -Wl,-lc -Wl,-lrtemsall -Wl,-lgcc -Wl,-\)
 
 define make-exe
@@ -75,5 +53,2 @@
 
 # Miscellaneous additions go here
-
-# Let the HWAPI know which set of drivers to build
-#DRIVER_ARCHITECTURE=compactpci
Index: make/custom/armulator.cfg
===================================================================
--- make/custom/armulator.cfg	(revision fb7e6dcf4179c37c2e56078a7f55046494d3eda4)
+++ make/custom/armulator.cfg	(revision 3db37a7ca80e657342bee68b4af02a04b78d17f8)
@@ -30,11 +30,6 @@
 # NOTE2: some level of -O may be actually required by inline assembler (at least
 # -O2 so far.
-# NOTE2 Apparently nobody really knows the status or r2 and r13.
-# As far as I know, small data are pointer impose a very specific compliation
-# model => not used.
-# Currently the sdata2 and sbss2 sections are empty => r2 is not used...
 CFLAGS_OPTIMIZE_V=
 #CFLAGS_OPTIMIZE_V=-O4 -mmultiple -mstring -mstrict-align
-#CFLAGS_OPTIMIZE_V=-O4 -fno-keep-inline-functions -fvolatile-global -fvolatile -mstrict-align -mcpu=750
 
 # debug flags: typically none, but at least -O1 is required due to this
@@ -48,5 +43,4 @@
 	$(NM) -g -n $(basename $@).exe > $(basename $@).num
 	$(SIZE) $(basename $@).exe
-
 endef
 
Index: make/custom/dmv177.cfg
===================================================================
--- make/custom/dmv177.cfg	(revision fb7e6dcf4179c37c2e56078a7f55046494d3eda4)
+++ make/custom/dmv177.cfg	(revision 3db37a7ca80e657342bee68b4af02a04b78d17f8)
@@ -95,5 +95,2 @@
 
 # Miscellaneous additions go here
-
-# Let the HWAPI know which set of drivers to build
-DRIVER_ARCHITECTURE=vmebus
Index: make/custom/mcp750.cfg
===================================================================
--- make/custom/mcp750.cfg	(revision fb7e6dcf4179c37c2e56078a7f55046494d3eda4)
+++ make/custom/mcp750.cfg	(revision 3db37a7ca80e657342bee68b4af02a04b78d17f8)
@@ -92,5 +92,2 @@
 
 # Miscellaneous additions go here
-
-# Let the HWAPI know which set of drivers to build
-DRIVER_ARCHITECTURE=compactpci
Index: make/custom/vegaplus.cfg
===================================================================
--- make/custom/vegaplus.cfg	(revision fb7e6dcf4179c37c2e56078a7f55046494d3eda4)
+++ make/custom/vegaplus.cfg	(revision 3db37a7ca80e657342bee68b4af02a04b78d17f8)
@@ -9,5 +9,4 @@
 RTEMS_CPU=arm
 RTEMS_CPU_MODEL=arm7tdmi
-#RTEMS_PPC_EXCEPTION_PROCESSING_MODEL=new
 
 # This is the actual bsp directory used during the build process.
@@ -15,27 +14,9 @@
 
 #  This section makes the target dependent options file.
-
-#  NDEBUG (C library)
-#     if defined asserts do not generate code.  This is commonly used
-#     as a command line option.
-#
-#  RTEMS_TEST_NO_PAUSE (RTEMS tests)
-#     do not pause between screens of output in the rtems tests
-#
-#  RTEMS_DEBUG (RTEMS)
-#     If defined, debug checks in RTEMS and support library code are enabled.
-#
-
 define make-target-options
-	@echo "/* #define NDEBUG 1 */ "                        >>$@
-	@echo "#define RTEMS_TEST_NO_PAUSE 1"                  >>$@
-	@echo "/* #define RTEMS_DEBUG  1 */"                   >>$@
 endef
 
 #  This contains the compiler options necessary to select the CPU model
 #  and (hopefully) optimize for it. 
-#
-# NOTE : cheking egcc 1.1.1 source code shows that the last know processor 
-# is the 604 model and that this is the default generation option.
 #
 #CPU_CFLAGS = -mcpu=arm7tdmi
@@ -46,11 +27,6 @@
 # NOTE2: some level of -O may be actually required by inline assembler (at least
 # -O2 so far.
-# NOTE2 Apparently nobody really knows the status or r2 and r13.
-# As far as I know, small data are pointer impose a very specific compliation
-# model => not used.
-# Currently the sdata2 and sbss2 sections are empty => r2 is not used...
 CFLAGS_OPTIMIZE_V=
 #CFLAGS_OPTIMIZE_V=-O4 -mmultiple -mstring -mstrict-align
-#CFLAGS_OPTIMIZE_V=-O4 -fno-keep-inline-functions -fvolatile-global -fvolatile -mstrict-align -mcpu=750
 
 # debug flags: typically none, but at least -O1 is required due to this
@@ -60,20 +36,8 @@
 
 
-# The following is a ld command file which works without using the
-# -specs system in gcc 2.8.  IT HAS NEVER BEEN TESTED WITH THIS BSP!!!
-#       $(LD) $(XLDFLAGS) -T $(LINKCMDS) \
-#         -o $@ -u atexit -u __vectors -u download_entry $(LINK_FILES)
-#       $(LD) $(XLDFLAGS) -Ttext 0x20000 \
-#         -o $@ -u atexit -u __vectors -u download_entry $(LINK_FILES)
-
-#       $(CC) -mmvme -mrtems -nostartfiles -mcpu=603 \
-#           -o $(basename $@).exe -L $(PROJECT_RELEASE)/lib \
-#            $(START_FILE) $(LINK_OBJS) \
-#            $(LD_LIBS) \
-#           -Wl,-\( -Wl,-lc -Wl,-lrtemsall -Wl,-lgcc -Wl,-\)
-
 define make-exe
-	$(CC) -v -static -Wl,-Map -Wl,Mapfile -Wl,-T -Wl,linkcmds -Wl,-N -o $(basename $@).obj $(LINK_OBJS) $(LINK_LIBS)
-#	$(LINK.c) $(LDLIBS) -o $@ $(LINK_OBJS) $(LINK_LIBS)
+	$(LINK.c) $(AM_CFLAGS) $(AM_LDFLAGS) \
+	    -v -static -Wl,-Map -Wl,Mapfile -o $@ \
+	    $(LINK_OBJS) $(LINK_LIBS)
 	$(OBJCOPY) -O binary \
 	    --only-section=.text \
@@ -87,9 +51,5 @@
 	cp $(basename $@).bin  $(basename $@).exe
 	cp $(basename $@).bin  ${PROJECT_RELEASE}/bin/$${f}$(LIB_VARIANT).exe
-
 endef
 
 # Miscellaneous additions go here
-
-# Let the HWAPI know which set of drivers to build
-#DRIVER_ARCHITECTURE=compactpci
